## supercollider-sc3-plugins 3.7.0~beta+git20151221.f978dc2~repack

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
project (sc3-plugins)

if (NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/external_libraries/nova-simd/simd_memory.hpp)
  message(FATAL_ERROR "nova-simd submodule is missing: please run `git submodule init && git submodule update' from the toplevel of your git working tree")
endif()

if (NOT SYSTEM_STK)
  if (NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/external_libraries/stk/include/Stk.h)
    message(FATAL_ERROR "stk submodule is missing: please run `git submodule init && git submodule update' from the toplevel of your git working tree")
  endif()
endif()


set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules
                      ${CMAKE_MODULE_PATH})

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

find_package(SuperCollider3)
if (NOT SC_FOUND)
	message(SEND_ERROR "cannot find SuperCollider3 headers. Set the variable SC_PATH.")
else()
	message(STATUS "Using SC source located at ${SC_PATH}")
endif()

include("${SC_PATH}/SCVersion.txt")
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}${PROJECT_VERSION_PATCH}")
message(STATUS "Building plugins for SuperCollider version: ${PROJECT_VERSION}")

option(SUPERNOVA "Build plugins for supernova")
option(AY "Build with AY ugens" ON)
option(QUARKS "Install plugins as quarks")
option(OSX_PACKAGE "Package dmg for Apple")
option(IN_PLACE_BUILD "Build and install in cmake build folder" ON)
option(NOVA_SIMD "Build VBAP with nova-simd support." ON)
option(CPP11 "Build with c++11." ON)
option(NATIVE "Optimize for this specific machine." OFF)
option(SYSTEM_STK "Use STK libraries from system" OFF)

option(NOVA_DISK_IO "Build with Nova's DiskIO UGens. Requires boost source tree, break warranty & eats your children." OFF)

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
	set(CMAKE_COMPILER_IS_CLANG 1)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
    add_definitions(-fvisibility=hidden)

	if(NATIVE)
		add_definitions(-march=native)
	endif()

	if(CPP11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
		if(CMAKE_COMPILER_IS_CLANG)
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
		endif()
	endif()
endif()


if (NOVA_SIMD)
  add_definitions(-DNOVA_SIMD)
  include_directories(external_libraries/nova-simd)
endif()

# osx `make install' defaults into cmake_build/SC3-plugins directory
if (APPLE AND IN_PLACE_BUILD)
  set(CMAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}")
endif()

# when packaging OSX dmg, install in 'cmake_build/build_osx' so we can include
# directly the created SC3plugins subfolder in the root of the dmg (instead of
# all plugins directories in the dmg root)
if (APPLE AND OSX_PACKAGE)
  set(CMAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/build_osx")
endif()

add_subdirectory(source)

if (QUARKS OR OSX_PACKAGE) # add quarks DIRECTORY in osx dmg
  add_subdirectory(quarks)
endif()

if (OSX_PACKAGE)
  add_subdirectory(osx_package)
endif()

if(WIN32)
    configure_file( README_WINDOWS.txt.in README_WINDOWS.txt)
    install( FILES "${CMAKE_CURRENT_BINARY_DIR}/README_WINDOWS.txt" DESTINATION . RENAME README.txt )
endif()

#############################################
# CPack support

set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})

if(WIN32)
    set(CPACK_GENERATOR ZIP)
    set(CPACK_INCLUDE_TOPLEVEL_DIRECTORY 0)
    set(CPACK_MONOLITHIC_INSTALL 1)
endif()

include(CPack)

=== quarks/CMakeLists.txt ===
if (APPLE)
    set(INSTALL_DESTINATION_QUARKS "SC3plugins")
else()
    set(INSTALL_DESTINATION_QUARKS "share/SuperCollider/SC3plugins")
endif()

install(DIRECTORY "DIRECTORY"
        DESTINATION "${INSTALL_DESTINATION_QUARKS}"
        PATTERN "*"
        PATTERN "*.txt" EXCLUDE
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(FILES SC3pluginsQuarks.help.scd
        DESTINATION "${INSTALL_DESTINATION_QUARKS}"
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== source/CMakeLists.txt ===
#---------
# includes
#---------

if (SUPERNOVA)
    include_directories(${SC_PATH}/external_libraries/nova-tt)
    # actually just boost.atomic
    include_directories(${SC_PATH}/external_libraries/boost)
    include_directories(${SC_PATH}/external_libraries/boost_lockfree)
    include_directories(${SC_PATH}/external_libraries/boost-lockfree)
endif()

include_directories(${CMAKE_SOURCE_DIR}/include/)
include_directories(scfft_old/)

include_directories(${SC_PATH}/common)
include_directories(${SC_PATH}/plugin_interface)

include_directories(${SC_PATH}/include/plugin_interface)
include_directories(${SC_PATH}/include/common)
include_directories(${SC_PATH}/server/plugins) # for FFT_UGens.h

# old-style directory layout
include_directories(${SC_PATH}/common/Headers/plugin_interface)
include_directories(${SC_PATH}/common/Headers/common)
include_directories(${SC_PATH}/common/Source/plugins) # for FFT_UGens.h

include_directories(${SC_PATH}/external_libraries/libsndfile/)


#-------
# macros
#-------

macro(GET_GCC_VERSION VAR)
    if (CMAKE_COMPILER_IS_GNUCC)
        execute_process(
            COMMAND ${CMAKE_CXX_COMPILER} --version OUTPUT_VARIABLE OUTPUT)
        string(REGEX REPLACE
            ".* ([0-9]\\.[0-9]\\.[0-9]) .*" "\\1" ${VAR} ${OUTPUT})
    endif()
endmacro(GET_GCC_VERSION)


macro(FIND_AND_BUILD_PLUGINS DIR)
    file(GLOB PLUGIN_SRC RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${DIR}/*.cpp")
    foreach(plugin ${PLUGIN_SRC})
        get_filename_component(basename ${plugin} NAME_WE)
        BUILD_PLUGIN(${basename} ${plugin} "" "${DIR}")
    endforeach(plugin)
endmacro()


# Hacky: OSX plugins should install in PLUGIN_DIR
macro(BUILD_PLUGIN PLUGIN_NAME PLUGIN_SOURCES PLUGIN_LIBS PLUGIN_DIR)
    add_library(${PLUGIN_NAME} MODULE ${PLUGIN_SOURCES})
    list(APPEND plugins ${PLUGIN_NAME})
    target_link_libraries(${PLUGIN_NAME} ${PLUGIN_LIBS})

    if(APPLE)
        install(TARGETS ${PLUGIN_NAME}
                DESTINATION ${INSTALL_DESTINATION}/${PLUGIN_DIR})
    endif()

    if(SUPERNOVA)
        add_library(${PLUGIN_NAME}_supernova MODULE ${PLUGIN_SOURCES})
        target_link_libraries(${PLUGIN_NAME}_supernova ${PLUGIN_LIBS})

        list(APPEND supernova_plugins ${PLUGIN_NAME}_supernova)
        set_property(TARGET ${PLUGIN_NAME}_supernova
                     PROPERTY COMPILE_DEFINITIONS SUPERNOVA)
        if(APPLE)
            install(TARGETS ${PLUGIN_NAME}_supernova
                    DESTINATION ${INSTALL_DESTINATION}/${PLUGIN_DIR})
        endif()
    endif()

endmacro()


#-----------------------
# plugins without extras
#-----------------------

set(PLUGIN_DIRS
    AntiAliasingOscillators
    ATK
    BatUGens
    BBCut2UGens
    BerlachUGens
    BhobUGens
    BlackrainUGens
    ConcatUGens
    DistortionUGens
    DWGUGens
    GlitchUGens
    JoshUGens
    LoopBufUGens
    MCLDUGens
    MdaUGens
    Neuromodules
    RFWUGens
    RMEQSuiteUGens
    SCMIRUGens
    SkUGens
    SLUGens
    SummerUGens
    TagSystemUGens
    VBAPUGens
    VOSIMUGens
)

# plugins with extra lib
set(PLUGIN_DIRS_EXTRA
    AuditoryModeling
    BetablockerUGens
    DEINDUGens
    LadspaUGen
    MembraneUGens
    NCAnalysisUGens
    OteyPianoUGens
    PitchDetection
    StkUGens
    TJUGens
)

if (${CMAKE_CXX_COMPILER_ID} MATCHES "Clang" AND ${CMAKE_CXX_COMPILER_VERSION} MATCHES "^6.0.")
  set(BHOBFILT_CPP "${CMAKE_CURRENT_SOURCE_DIR}/BhobUGens/BhobFilt.cpp")
  message(STATUS "Skipping vectorization on BhobFilt.cpp because of Clang bug. (${BHOBFILT_CPP})")
  SET_SOURCE_FILES_PROPERTIES(${BHOBFILT_CPP} PROPERTIES COMPILE_FLAGS "-fno-slp-vectorize")
endif()

set(plugins "")
set(supernova_plugins "")

set(CMAKE_SHARED_MODULE_PREFIX "")
set(PLUGIN_EXTENSION ".so")

if (APPLE OR WIN32)
    set(CMAKE_SHARED_MODULE_SUFFIX ".scx")
    set(PLUGIN_EXTENSION ".scx")
endif()


GET_GCC_VERSION(gcc_version)


if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    set(INSTALL_DESTINATION "lib/SuperCollider/plugins")
    if (QUARKS)
        set(INSTALL_DESTINATION_LADSPALIST
                "share/SuperCollider/SC3plugins/LadspaUGen")
        set(INSTALL_DESTINATION_DISTRO
                "share/SuperCollider/SC3plugins")
    else()
        set(INSTALL_DESTINATION_LADSPALIST
                "share/SuperCollider/Extensions/SC3plugins/LadspaUGen")
        set(INSTALL_DESTINATION_DISTRO
                "share/SuperCollider/Extensions/SC3plugins")
    endif(QUARKS)
else()
    set(INSTALL_DESTINATION "SC3plugins")
    set(INSTALL_DESTINATION_LADSPALIST "SC3plugins/LadspaUGen")
    set(INSTALL_DESTINATION_DISTRO "SC3plugins")
endif()


foreach(DIR ${PLUGIN_DIRS})
    FIND_AND_BUILD_PLUGINS(${DIR})
endforeach(DIR)

# build source files placed in 'local' by the user (i.e. by default this does nothing)
file(GLOB local_sources RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "local/*.cpp")
message(STATUS "local_sources: ${local_sources}")
foreach(plugin ${local_sources})
    string(REPLACE .cpp "" plugin_name ${plugin} )
    string(REPLACE "local/" "" plugin_name ${plugin_name} )
    BUILD_PLUGIN(${plugin_name} ${plugin} "" "local")
endforeach(plugin)
# local can have help files and classes too
install(DIRECTORY local DESTINATION "${INSTALL_DESTINATION_DISTRO}"
    FILES_MATCHING PATTERN "*.sc" PATTERN "*.scd" PATTERN "*.html" PATTERN "*.schelp" PATTERN "*.rtf")

#---------------------
# plugins with extras:
#---------------------


# AuditoryModeling
file(GLOB AuditoryModelingSources AuditoryModeling/*cpp)

BUILD_PLUGIN(AuditoryModeling "${AuditoryModelingSources}" "" "AuditoryModeling")


#BetablockerUGens
BUILD_PLUGIN(BetablockerUGens "BetablockerUGens/BetablockerUGens.cpp;BetablockerUGens/betablocker/machine.cpp;BetablockerUGens/betablocker/thread.cpp"
             "" "BetablockerUGens")

# DEINDUGens
BUILD_PLUGIN(DiodeRingMod
"DEINDUGens/DiodeRingMod.cpp"
             "" "DiodeRingMod")
BUILD_PLUGIN(NoiseRing
"DEINDUGens/NoiseRing.cpp"
             "" "NoiseRing")
BUILD_PLUGIN(complexRes
"DEINDUGens/complexRes.cpp"
             "" "complexRes")
include_directories(DEINDUGens/include)
BUILD_PLUGIN(JPverb
"DEINDUGens/JPverbRaw.cpp" 
             "" "JPverb")
             set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS SC_FAUST_PREFIX="\"\"") 
             set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS mydsp=JPVERB) 
             set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS NDEBUG) 
BUILD_PLUGIN(Greyhole
"DEINDUGens/GreyholeRaw.cpp" 
             "" "Greyhole")
             set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS SC_FAUST_PREFIX="\"\"") 
             set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS mydsp=GREYHOLE) 
             set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS NDEBUG) 

# MembraneUGens
BUILD_PLUGIN(MembraneUGens "MembraneUGens/Membrane_shape.c;MembraneUGens/Membrane.cpp"
             "" "MembraneUGens")

# LadspaUGen
if(NOT WIN32)
    BUILD_PLUGIN(LadspaUGen "LadspaUGen/LadspaUGen.cpp;LadspaUGen/search.c" "dl" "LadspaUGen")
    add_executable(ladspalist LadspaUGen/ladspalist.c LadspaUGen/search.c)
    target_link_libraries(ladspalist dl)
endif()

# OteyPianoUGens
BUILD_PLUGIN(OteyPianoUGens "OteyPianoUGens/OteyPiano.cpp;OteyPianoUGens/dwgs.cpp;OteyPianoUGens/filter.cpp;OteyPianoUGens/hammer.cpp;OteyPianoUGens/reverb.cpp"
             "" "OteyPianoUGens")
             
# PitchDetectionUGens
file(GLOB PitchDetectionSources PitchDetection/*cpp)

if(APPLE)
    set (PitchDetectionLibs "-framework Accelerate")
else()
    find_package(FFTW3f)
    if (!FFTW3F_FOUND)
        message(SEND_ERROR "Cannot find libfftw3f")
    endif()
    set (PitchDetectionLibs ${FFTW3F_LIBRARY})
endif()

BUILD_PLUGIN(PitchDetection "${PitchDetectionSources}"
             "${PitchDetectionLibs}" "PitchDetection")

if (APPLE)
    set_property(TARGET PitchDetection APPEND PROPERTY COMPILE_DEFINITIONS SC_FFT_VDSP)
    if (SUPERNOVA)
        set_property(TARGET PitchDetection_supernova APPEND PROPERTY COMPILE_DEFINITIONS SC_FFT_VDSP)
    endif()
else()
    include_directories(${FFTW3F_INCLUDE_DIR})
    set_property(TARGET PitchDetection APPEND PROPERTY COMPILE_DEFINITIONS SC_FFT_FFTW)
    if (SUPERNOVA)
        set_property(TARGET PitchDetection_supernova APPEND PROPERTY COMPILE_DEFINITIONS SC_FFT_FFTW)
    endif()
endif()

# StkUGens
if(SYSTEM_STK)
    find_package(STK)
    add_definitions(-DSYSTEM_STK)
    include_directories(${STK_INCLUDE_DIR})
    if (EXISTS ${STK_INCLUDE_DIR}/SKINI.msg)
      add_definitions(-DSTK_SKINIMSG)
    else()
      if (NOT EXISTS ${STK_INCLUDE_DIR}/SKINImsg.h)
        message(FATAL_ERROR "Your system's stk library headers are missing the SKINI msg include file. Please read Debian Bug #805549 for more information & a fix. Alternatively, you can build the sc3 plugins without SYSTEM_STK using the included stk library.")
      endif()
    endif()
    BUILD_PLUGIN(StkUGens "StkUGens/StkAll.cpp" ${STK_LIBRARY} "StkUGens")
    add_subdirectory(StkInst)
else()
    add_subdirectory(StkInst)
    file(GLOB STKSources "../external_libraries/stk/src/*.cpp")
    file(GLOB UnneededSTKSources "../external_libraries/stk/src/Rt*.cpp"
                             "../external_libraries/stk/src/Inet*.cpp"
                             "../external_libraries/stk/src/Socket.cpp"
                             "../external_libraries/stk/src/Tcp*.cpp"
                             "../external_libraries/stk/src/UdpSocket.cpp"
                             "../external_libraries/stk/src/Thread.cpp"
                             "../external_libraries/stk/src/Mutex.cpp"
    )
    list(REMOVE_ITEM STKSources ${UnneededSTKSources})
    include_directories(../external_libraries/stk)
    include_directories(../external_libraries/stk/include)
    include_directories(../external_libraries/stk/src/include)
    BUILD_PLUGIN(StkUGens "StkUGens/StkAll.cpp;${STKSources}" "" "StkUGens")
endif()

# NCAnalysisUGens
file(GLOB NCAnalysisSources NCAnalysisUGens/*cpp)
if(APPLE)
    set (NCAnalysisLibs "-framework Accelerate")
else()
    set (NCAnalysisLibs ${FFTW3F_LIBRARY})
endif()

BUILD_PLUGIN(NCAnalysisUGens "${NCAnalysisSources}"
             ${NCAnalysisLibs} "NCAnalysisUGens")

# AYUGens
if (AY)
    list(APPEND PLUGIN_DIRS_EXTRA AYUGens)
    include_directories(AYUGens/AY_libayemu/include)
    BUILD_PLUGIN(AY_UGen "AYUGens/AY_UGen.cpp;AYUGens/AY_libayemu/src/ay8912.c"
                 "" "AYUGens")
endif()

# TJUGens
if (APPLE AND gcc_version MATCHES "4\\.0.*")
    list(REMOVE_ITEM PLUGIN_DIRS_EXTRA TJUGens)
    message(WARNING "TJUGens won't be built with gcc-4.0 on Apple")
else()
    file(GLOB TJUGensSources TJUGens/*.cpp)
    BUILD_PLUGIN(TJUGens "${TJUGensSources}" "" "TJUGens")
endif()

if (NOVA_DISK_IO)
  add_subdirectory(NovaDiskIO)
endif()
#--------
# INSTALL
#--------

# OSX plugins install is done in BUILD_PLUGIN macro
if (NOT APPLE)
    install(TARGETS ${plugins} ${supernova_plugins}
            DESTINATION ${INSTALL_DESTINATION})
endif()

if(NOT WIN32)
  install(TARGETS ladspalist
    DESTINATION ${INSTALL_DESTINATION_LADSPALIST})
endif()

# install help and sc specific files that are found in 'PLUGIN_NAME/sc' folder
foreach (DIR ${PLUGIN_DIRS};${PLUGIN_DIRS_EXTRA})
    install(DIRECTORY "${DIR}/sc/" DESTINATION "${INSTALL_DESTINATION_DISTRO}/${DIR}"
            PATTERN "*")
endforeach(DIR)

=== source/StkInst/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
set(PROJECT "StkInst")
project (${PROJECT})

include (${CMAKE_ROOT}/Modules/TestBigEndian.cmake)

if(NOT SYSTEM_STK)
    set(STKDIR ${CMAKE_CURRENT_SOURCE_DIR}/../../external_libraries/stk)

    if(NOT EXISTS ${STKDIR}/include/Stk.h)
       message(FATAL_ERROR "Should use git submodule update and git submodule init to get Stk")
    endif()

    file(GLOB STKSources "${STKDIR}/src/*.cpp")
    file(GLOB UnneededSTKSources "${STKDIR}/src/Rt*.cpp"
                             "${STKDIR}/src/Inet*.cpp"
                             "${STKDIR}/src/Socket.cpp"
                             "${STKDIR}/src/Tcp*.cpp"
                             "${STKDIR}/src/UdpSocket.cpp"
                             "${STKDIR}/src/Thread.cpp"
                             "${STKDIR}/src/Mutex.cpp"
                             "${STKDIR}/src/Messager.cpp"
    )
    list(REMOVE_ITEM STKSources ${UnneededSTKSources})
    include_directories(${STKDIR})
    include_directories(${STKDIR}/include)
    include_directories(${STKDIR}/src/include)
endif()

include_directories(${SC_PATH}/include/plugin_interface)
include_directories(${SC_PATH}/include/common)
include_directories(${SC_PATH}/common)
include_directories(${SC_PATH}/external_libraries/libsndfile/)


set(CMAKE_SHARED_MODULE_PREFIX "")
if(APPLE OR WIN32)
    set(CMAKE_SHARED_MODULE_SUFFIX ".scx")
endif()
    
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mstackrealign")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -mstackrealign")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()
if(NOT SYSTEM_STK)
    add_definitions("-D_STK_DEBUG_")
endif()

TEST_BIG_ENDIAN(is_big_endian)
if(NOT is_big_endian)
    add_definitions("-D__LITTLE_ENDIAN__")
endif()

add_library(${PROJECT} MODULE ${PROJECT}.cpp ${STKSources})
if(SYSTEM_STK)
    target_link_libraries(${PROJECT} ${STK_LIBRARY})
endif()
if(SUPERNOVA)
    add_library(${PROJECT}_supernova MODULE ${PROJECT}.cpp ${STKSources})
    set_property(TARGET ${PROJECT}_supernova APPEND PROPERTY COMPILE_DEFINITIONS  "SUPERNOVA")
    include_directories(${SC_PATH}/external_libraries
                    ${SC_PATH}/external_libraries/boost-lockfree
                    ${SC_PATH}/external_libraries/nova-simd
                    ${SC_PATH}/external_libraries/nova-tt
                    )
    include_directories(${SC_PATH}/external_libraries/boost)
    include_directories(${SC_PATH}/external_libraries/nova-simd)
    add_definitions("-DNOVA_SIMD")
endif()

#install
if (NOT APPLE)
    install(TARGETS ${PROJECT} DESTINATION ${INSTALL_DESTINATION})
    if(SUPERNOVA)
        install(TARGETS ${PROJECT}_supernova DESTINATION ${INSTALL_DESTINATION})
    endif()
else()
    install(TARGETS ${PROJECT} DESTINATION ${INSTALL_DESTINATION}/${PLUGIN_DIR})
    if(SUPERNOVA)
        install(TARGETS ${PROJECT}_supernova DESTINATION ${INSTALL_DESTINATION}/${PLUGIN_DIR})
    endif()
endif()

install(DIRECTORY "sc/" DESTINATION "${INSTALL_DESTINATION_DISTRO}/${PROJECT}" PATTERN "*")
if(NOT SYSTEM_STK)
    install(DIRECTORY "${STKDIR}/rawwaves/" DESTINATION "${INSTALL_DESTINATION_DISTRO}/${PROJECT}/rawwaves" PATTERN "*.raw")
endif()

## supercollider-sc3-plugins 3.7.0~beta%2Bgit20151221.f978dc2~repack

=== debian/control ===
Source: supercollider-sc3-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Hanno Zulla <kontakt@hanno.de>,
 Petter Reinholdtsen <pere@debian.org>,
 Georges Khaznadar <georgesk@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 libfftw3-dev,
 libstk0-dev,
 libjack-jackd2-dev,
 supercollider-dev
Standards-Version: 3.9.6
Homepage: https://github.com/supercollider/sc3-plugins
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git

Package: sc3-plugins
Section: metapackages
Architecture: all
Depends:
 sc3-plugins-server,
 sc3-plugins-language,
 ${misc:Depends}
Suggests:
 ladspalist
Conflicts: supercollider-sc3-plugins
Description: Community collection of UGen plugins for SuperCollider
 Extension plugins for the SuperCollider3 audio synthesis server.
 These third-party plugins provide additional synthesis, analysis,
 and other capabilities for the sound server.

Package: sc3-plugins-server
Architecture: any
Depends:
 supercollider-server,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 ladspalist
Conflicts: supercollider-sc3-plugins-scsynth
Description: Compiled scsynth UGen plugins for SuperCollider
 Extension plugins for the SuperCollider3 audio synthesis server.
 These plugin binaries are needed by scsynth when using the community
 collection of UGen plugins for SuperCollider.

Package: sc3-plugins-language
Architecture: all
Depends:
 supercollider-language,
 sc3-plugins-server (>= ${source:Version}),
 sc3-plugins-server (<< ${source:Upstream-Version}+1~),
 ${misc:Depends}
Conflicts: supercollider-sc3-plugins-sclang
Description: sclang class files of UGen plugins for SuperCollider
 Extension plugins for the SuperCollider3 audio synthesis server.
 These SuperCollider class files are needed by sclang when using
 the community collection of UGen plugins for SuperCollider.

Package: ladspalist
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: supercollider-sc3-plugins-ladspalist
Description: List LADSPA plugins for use by LADSPA UGen
 Optional helper tool to list the features of LADSPA plugins
 installed on the system for later use by the LADSPA UGen plugin
 for SuperCollider.

## supercollider-sc3-plugins 3.7.0~beta+git20151221.f978dc2~repack

=== debian/changelog ===
supercollider-sc3-plugins (3.7.0~beta+git20151221.f978dc2~repack-7) unstable; urgency=medium

  * Debian: set SSE flags only when compiler supports them (fixes
    multi-arch builds)

 -- Hanno Zulla <kontakt@hanno.de>  Thu, 25 Feb 2016 16:48:00 +0100

supercollider-sc3-plugins (3.7.0~beta+git20151221.f978dc2~repack-6) unstable; urgency=medium

  [ Hanno Zulla ]
  * Debian: explain repacked source tarball structure in debian/README.source

 -- Hanno Zulla <kontakt@hanno.de>  Fri, 19 Feb 2016 09:35:00 +0100

supercollider-sc3-plugins (3.7.0~beta+git20151221.f978dc2~repack-5) unstable; urgency=medium

  [ Hanno Zulla ]
  * Debian: fixes for several lintian complaints
  * Debian: fix and update copyright info
  * Debian: fix get-orig-source rule to checkout the actual commit
    from git repo.
  * Debian: build with Jessie now possible
    (thanks to fixed #805549, #810760)

 -- Hanno Zulla <kontakt@hanno.de>  Mon, 15 Feb 2016 17:14:00 +0100

supercollider-sc3-plugins (3.7.0~beta+git20151221.f978dc2~repack-4) unstable; urgency=medium

  [ Hanno Zulla ]
  * Debian: Add BSL-1.0 in debian/copyright.
  * Debian: copyright notices for all plugins checked and updated.
  * Debian: fix copyright file format.
  * Debian: quote full BSD license, fixing
    copyright-refers-to-deprecated-bsd-license-file.

  [ Petter Reinholdtsen ]
  * Rename BSD to BSD-3-clause in debian/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Jan 2016 12:01:48 +0000

supercollider-sc3-plugins (3.7.0~beta+git20151221.f978dc2~repack-3) unstable; urgency=low

  * Rename binary packages to name structure used by supercollider.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 06 Jan 2016 23:20:49 +0100

supercollider-sc3-plugins (3.7.0~beta+git20151221.f978dc2~repack-2) unstable; urgency=low

  * Initial upload to Debian (Closes: #807364).

  [ Hanno Zulla ]
  * Move ladspalist to separate package.
  * Add manual page ladspalist(1).

  [ Petter Reinholdtsen ]
  * Fix typo in package description.
  * Build depend on libstk0-dev (>= 4.5.0-2) to make sure the SKINI.msg
    file is available.
  * Drop unneeded dependency from supercollider-sc3-plugins-ladspalist to
    supercollider-sc3-plugins-scsynth.
  * Only suggest supercollider-sc3-plugins-ladspalist, it is not improving
    the function of the plugins.
  * Drop or rewrite versioned depends to make sure binnmu is possible.
  * Fix nroff typo in ladspalist(1).
  * Rename packages to shorter alternatives to avoid two long package
    names.  Conflict with the old names.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 06 Jan 2016 10:58:12 +0100

supercollider-sc3-plugins (3.7.0~beta+git20151221.f978dc2~repack-1) unstable; urgency=low

  * clean restart of git-buildpackage repository
  * submission to Debian Multimedia for review

 -- Hanno Zulla <kontakt@hanno.de>  Mon, 21 Dec 2015 14:28:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DSYSTEM_STK=on \
	-DSC_PATH=/usr/include/SuperCollider \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_BUILD_TYPE=Release

# Remove unwanted license file installed by default.  Easier to do it
# here than to rewrite the 'install every file in all sc/ directories'
# rule in source/CMakeLists.txt.
DESTDIR = debian/tmp
override_dh_auto_install:
	dh_auto_install
	$(RM) $(DESTDIR)/usr/share/SuperCollider/Extensions/SC3plugins/ATK/LICENSE

# Upstream commit ID for the version we want to import.
COMMIT=f978dc2f7e807d4b2e6adaa81b390b268fcecd23
get-orig-source:
	TMPDIR=`mktemp -d` && \
		NAME="supercollider-sc3-plugins" && \
		REPO="$$TMPDIR/$$NAME" && \
		git clone https://github.com/supercollider/sc3-plugins $$REPO && \
		UPSTREAM_TAG=`git --git-dir="$$REPO/.git" describe --tags --abbrev=0 $(COMMIT)` && \
		UPSTREAM_VER=`echo $$UPSTREAM_TAG | sed -e 's/^Version-//' -e 's/-/~/'` && \
		CTAG=`git --git-dir="$$REPO/.git" rev-list -1 $$UPSTREAM_TAG` && \
		SOURCE_VER=$$UPSTREAM_VER && \
		if [ "$$CTAG" != "$(COMMIT)" ]; then \
			CDATE=`git --git-dir="$$REPO/.git" show --format=format:%ci -s $(COMMIT) | awk '{ gsub(/-/,""); print $$1 }'` ; \
			CSHORT=`git --git-dir="$$REPO/.git" show --format=format:%h -s $(COMMIT)` ; \
			SOURCE_VER=$$SOURCE_VER+git$$CDATE.$$CSHORT ; \
		fi && \
		SOURCE_VER=$$SOURCE_VER~repack && \
		TXZ=$$NAME\_$$SOURCE_VER.orig.tar.xz; \
		( \
			cd $$REPO && \
			git checkout $(COMMIT) && \
			git submodule init && \
			git submodule update external_libraries/nova-simd && \
			rm -rf submodule external_libraries/stk && \
			cd .. && \
			tar cfvJ $$REPO.tar.xz $$NAME --exclude=".*" \
		) && \
		mv $$REPO.tar.xz ../$$TXZ && \
		rm -rf $$TMPDIR && \
		echo; echo 'The next step is to import the source into git.'; echo; \
		printf "  gbp import-orig --pristine-tar \\\\\\n    --upstream-version="$$SOURCE_VER" \\\\\\n    --upstream-vcs-tag=$$COMMIT \\\\\\n    ../$$TXZ\n"

## supercollider-sc3-plugins 3.7.1~repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,6 +53,39 @@
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
     add_definitions(-fvisibility=hidden)
 
+    include (CheckCCompilerFlag)
+    include (CheckCXXCompilerFlag)
+
+    CHECK_C_COMPILER_FLAG(-msse HAS_SSE)
+    CHECK_CXX_COMPILER_FLAG(-msse HAS_CXX_SSE)
+
+    if (HAS_SSE)
+        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse")
+    endif()
+    if (HAS_CXX_SSE)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse")
+    endif()
+
+    CHECK_C_COMPILER_FLAG(-msse2 HAS_SSE2)
+    CHECK_CXX_COMPILER_FLAG(-msse2 HAS_CXX_SSE2)
+
+    if (HAS_SSE2)
+        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
+    endif()
+    if (HAS_CXX_SSE2)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
+    endif()
+
+    CHECK_C_COMPILER_FLAG(-mfpmath=sse HAS_FPMATH_SSE)
+    CHECK_CXX_COMPILER_FLAG(-mfpmath=sse HAS_CXX_FPMATH_SSE)
+
+    if (HAS_FPMATH_SSE)
+        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mfpmath=sse")
+    endif()
+    if (HAS_CXX_FPMATH_SSE)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mfpmath=sse")
+    endif()
+
 	if(NATIVE)
 		add_definitions(-march=native)
 	endif()
@@ -64,7 +97,10 @@
 		endif()
 	endif()
 endif()
-
+if(MINGW)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mstackrealign")
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mstackrealign")
+endif()
 
 if (NOVA_SIMD)
   add_definitions(-DNOVA_SIMD)
@@ -113,3 +149,4 @@
 endif()
 
 include(CPack)
+

=== source/StkInst/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 cmake_minimum_required (VERSION 2.8)
 set(PROJECT "StkInst")
 project (${PROJECT})
-
-include (${CMAKE_ROOT}/Modules/TestBigEndian.cmake)
 
 if(NOT SYSTEM_STK)
     set(STKDIR ${CMAKE_CURRENT_SOURCE_DIR}/../../external_libraries/stk)
@@ -25,6 +23,14 @@
     include_directories(${STKDIR})
     include_directories(${STKDIR}/include)
     include_directories(${STKDIR}/src/include)
+
+    include (TestBigEndian)
+    TEST_BIG_ENDIAN(is_big_endian)
+    if(NOT is_big_endian)
+        add_definitions("-D__LITTLE_ENDIAN__")
+    endif()
+
+    add_definitions("-D_STK_DEBUG_")
 endif()
 
 include_directories(${SC_PATH}/include/plugin_interface)
@@ -38,24 +44,11 @@
     set(CMAKE_SHARED_MODULE_SUFFIX ".scx")
 endif()
     
-if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mstackrealign")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -mstackrealign")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-endif()
-if(NOT SYSTEM_STK)
-    add_definitions("-D_STK_DEBUG_")
-endif()
-
-TEST_BIG_ENDIAN(is_big_endian)
-if(NOT is_big_endian)
-    add_definitions("-D__LITTLE_ENDIAN__")
-endif()
-
 add_library(${PROJECT} MODULE ${PROJECT}.cpp ${STKSources})
 if(SYSTEM_STK)
     target_link_libraries(${PROJECT} ${STK_LIBRARY})
 endif()
+
 if(SUPERNOVA)
     add_library(${PROJECT}_supernova MODULE ${PROJECT}.cpp ${STKSources})
     set_property(TARGET ${PROJECT}_supernova APPEND PROPERTY COMPILE_DEFINITIONS  "SUPERNOVA")

=== debian/changelog ===
supercollider-sc3-plugins (3.7.1~repack-2) unstable; urgency=medium

  [ Hanno Zulla ]
  * Fix GCC6 compilation issue (Closes: #831078)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 02 Sep 2016 10:43:44 +0000

supercollider-sc3-plugins (3.7.1~repack-1) unstable; urgency=medium

  [ Hanno Zulla ]
  * New upstream release 3.7.1.
  * Debian: 03-sse-only-on-x86.patch was accepted upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 19 Apr 2016 12:49:48 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libstk0-dev,
  libjack-jackd2-dev,
  supercollider-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/supercollider/sc3-plugins
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	$(RM) $(DESTDIR)/usr/share/SuperCollider/Extensions/SC3plugins/ATK/LICENSE
 
 # Upstream commit ID for the version we want to import.
-COMMIT=f978dc2f7e807d4b2e6adaa81b390b268fcecd23
+COMMIT=41a6d721b2890b77b67ad222a77074bf2ba8454b
 get-orig-source:
 	TMPDIR=`mktemp -d` && \
 		NAME="supercollider-sc3-plugins" && \
@@ -53,4 +53,4 @@
 		mv $$REPO.tar.xz ../$$TXZ && \
 		rm -rf $$TMPDIR && \
 		echo; echo 'The next step is to import the source into git.'; echo; \
-		printf "  gbp import-orig --pristine-tar \\\\\\n    --upstream-version="$$SOURCE_VER" \\\\\\n    --upstream-vcs-tag=$$COMMIT \\\\\\n    ../$$TXZ\n"
+		printf "  gbp import-orig --pristine-tar \\\\\\n    --upstream-version="$$SOURCE_VER" \\\\\\n    ../$$TXZ\n"

=== debian/watch ===
version=3
# Convert -alpha to ~alpha, and drop the +git part from the Debian
# version before comparing, as we use git snapshots 2015-12-15.
opts=uversionmangle=s/-(alpha|beta)/~\\1/,dversionmangle=s/\+git.+//,filenamemangle=s/.+\/Version-(\d\S*)\.tar\.gz/supercollider-sc3-plugins-$1\.tar\.gz/ \
  https://github.com/supercollider/sc3-plugins/tags .*/Version-?(\d\.\d.\d\S*)\.tar\.gz

## supercollider-sc3-plugins 3.9.1~repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,22 @@
 cmake_minimum_required (VERSION 2.8)
+set(SUPERNOVA_CMAKE_MINVERSION 3.1)
 project (sc3-plugins)
 
 if (NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/external_libraries/nova-simd/simd_memory.hpp)
-  message(FATAL_ERROR "nova-simd submodule is missing: please run `git submodule init && git submodule update' from the toplevel of your git working tree")
+  message(FATAL_ERROR "The nova-simd submodule is missing. This probably means you forgot to clone submodules. To fix this, run `git submodule update --init` from the root folder of sc3-plugins repository")
 endif()
 
 if (NOT SYSTEM_STK)
   if (NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/external_libraries/stk/include/Stk.h)
-    message(FATAL_ERROR "stk submodule is missing: please run `git submodule init && git submodule update' from the toplevel of your git working tree")
+    message(FATAL_ERROR "The stk submodule is missing. This probably means you forgot to clone submodules. To fix this, run `git submodule update --init` from the root folder of the sc3-plugins repository")
   endif()
 endif()
 
+if (SUPERNOVA)
+  if (NOT EXISTS ${SC_PATH}/external_libraries/nova-tt/CMakeLists.txt)
+    message(FATAL_ERROR "The nova-tt submodule in the SuperCollider repository is missing (required for SuperNova plugins). This probably means you forgot to clone submodules. To fix this, run `git submodule update --init` from the root folder of the SuperCollider repository")
+  endif()
+endif()
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules
                       ${CMAKE_MODULE_PATH})
@@ -34,7 +40,12 @@
 set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}${PROJECT_VERSION_PATCH}")
 message(STATUS "Building plugins for SuperCollider version: ${PROJECT_VERSION}")
 
-option(SUPERNOVA "Build plugins for supernova")
+if(CMAKE_SYSTEM_NAME MATCHES "Linux" AND NOT CMAKE_VERSION VERSION_LESS SUPERNOVA_CMAKE_MINVERSION)
+	option(SUPERNOVA "Build plugins for supernova" ON)
+else()
+	option(SUPERNOVA "Build plugins for supernova" OFF)
+endif()
+
 option(AY "Build with AY ugens" ON)
 option(QUARKS "Install plugins as quarks")
 option(OSX_PACKAGE "Package dmg for Apple")
@@ -46,7 +57,7 @@
 
 option(NOVA_DISK_IO "Build with Nova's DiskIO UGens. Requires boost source tree, break warranty & eats your children." OFF)
 
-if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
 	set(CMAKE_COMPILER_IS_CLANG 1)
 endif()
 
@@ -129,10 +140,22 @@
   add_subdirectory(osx_package)
 endif()
 
-if(WIN32)
-    configure_file( README_WINDOWS.txt.in README_WINDOWS.txt)
-    install( FILES "${CMAKE_CURRENT_BINARY_DIR}/README_WINDOWS.txt" DESTINATION . RENAME README.txt )
+# Configure readme file
+if (WIN32 OR APPLE)
+    if (WIN32)
+        set(README_FILENAME README_WINDOWS.txt)
+    elseif(APPLE)
+        set(README_FILENAME README_MACOS.txt)
+    else()
+        unset(README_FILENAME)
+    endif()
 endif()
+
+if (DEFINED README_FILENAME)
+    configure_file( "${README_FILENAME}.in" "${README_FILENAME}" )
+    install( FILES "${CMAKE_CURRENT_BINARY_DIR}/${README_FILENAME}" DESTINATION . RENAME README.txt )
+endif()
+
 
 #############################################
 # CPack support

=== source/CMakeLists.txt ===
--- 
+++ 
@@ -114,6 +114,7 @@
 set(PLUGIN_DIRS_EXTRA
     AuditoryModeling
     BetablockerUGens
+    ChaosUGens
     DEINDUGens
     LadspaUGen
     MembraneUGens
@@ -145,7 +146,7 @@
 GET_GCC_VERSION(gcc_version)
 
 
-if (CMAKE_SYSTEM_NAME MATCHES "Linux")
+if (CMAKE_SYSTEM_NAME MATCHES "Linux|.*BSD|DragonFly")
     set(INSTALL_DESTINATION "lib/SuperCollider/plugins")
     if (QUARKS)
         set(INSTALL_DESTINATION_LADSPALIST
@@ -196,26 +197,34 @@
 BUILD_PLUGIN(BetablockerUGens "BetablockerUGens/BetablockerUGens.cpp;BetablockerUGens/betablocker/machine.cpp;BetablockerUGens/betablocker/thread.cpp"
              "" "BetablockerUGens")
 
+# ChaosUGens
+BUILD_PLUGIN(NoiseRing
+"ChaosUGens/NoiseRing.cpp"
+             "" "ChaosUGens")
+BUILD_PLUGIN(PredPrey
+"ChaosUGens/PredPrey.cpp"
+             "" "ChaosUGens")
+
 # DEINDUGens
+BUILD_PLUGIN(RMS
+"DEINDUGens/RMS.cpp"
+             "" "DEINDUGens")
 BUILD_PLUGIN(DiodeRingMod
 "DEINDUGens/DiodeRingMod.cpp"
-             "" "DiodeRingMod")
-BUILD_PLUGIN(NoiseRing
-"DEINDUGens/NoiseRing.cpp"
-             "" "NoiseRing")
+             "" "DEINDUGens")
 BUILD_PLUGIN(complexRes
 "DEINDUGens/complexRes.cpp"
-             "" "complexRes")
+             "" "DEINDUGens")
 include_directories(DEINDUGens/include)
 BUILD_PLUGIN(JPverb
 "DEINDUGens/JPverbRaw.cpp" 
-             "" "JPverb")
+             "" "DEINDUGens")
              set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS SC_FAUST_PREFIX="\"\"") 
              set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS mydsp=JPVERB) 
              set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS NDEBUG) 
 BUILD_PLUGIN(Greyhole
 "DEINDUGens/GreyholeRaw.cpp" 
-             "" "Greyhole")
+             "" "DEINDUGens")
              set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS SC_FAUST_PREFIX="\"\"") 
              set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS mydsp=GREYHOLE) 
              set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS NDEBUG) 
@@ -226,9 +235,9 @@
 
 # LadspaUGen
 if(NOT WIN32)
-    BUILD_PLUGIN(LadspaUGen "LadspaUGen/LadspaUGen.cpp;LadspaUGen/search.c" "dl" "LadspaUGen")
+    BUILD_PLUGIN(LadspaUGen "LadspaUGen/LadspaUGen.cpp;LadspaUGen/search.c" "${CMAKE_DL_LIBS}" "LadspaUGen")
     add_executable(ladspalist LadspaUGen/ladspalist.c LadspaUGen/search.c)
-    target_link_libraries(ladspalist dl)
+    target_link_libraries(ladspalist "${CMAKE_DL_LIBS}")
 endif()
 
 # OteyPianoUGens
@@ -324,9 +333,11 @@
     BUILD_PLUGIN(TJUGens "${TJUGensSources}" "" "TJUGens")
 endif()
 
+# NovaDiskIO
 if (NOVA_DISK_IO)
-  add_subdirectory(NovaDiskIO)
-endif()
+    add_subdirectory(NovaDiskIO)
+endif()
+
 #--------
 # INSTALL
 #--------

=== source/StkInst/CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,9 @@
 
 if(SUPERNOVA)
     add_library(${PROJECT}_supernova MODULE ${PROJECT}.cpp ${STKSources})
+    if(SYSTEM_STK)
+        target_link_libraries(${PROJECT}_supernova ${STK_LIBRARY})
+    endif()
     set_property(TARGET ${PROJECT}_supernova APPEND PROPERTY COMPILE_DEFINITIONS  "SUPERNOVA")
     include_directories(${SC_PATH}/external_libraries
                     ${SC_PATH}/external_libraries/boost-lockfree

=== debian/changelog ===
supercollider-sc3-plugins (3.9.1~repack-4build1) kinetic; urgency=medium

  * No-change rebuild against libstk-4.6.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jun 2022 15:05:15 +0000

supercollider-sc3-plugins (3.9.1~repack-4) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Georges Khaznadar ]
  * upgraded debhelper and standards-version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Nov 2020 19:28:41 +0100

supercollider-sc3-plugins (3.9.1~repack-3) unstable; urgency=medium

  * changed Architecture: any to
    Architecture: i386 amd64 arm64 armhf mipsel to comply with architectures
    supported by the build-dependency supercollider-dev

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Feb 2019 23:30:49 +0100

supercollider-sc3-plugins (3.9.1~repack-2) unstable; urgency=medium

  * modified d/watch, so the repacked package does not seem older than
    the upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 28 Nov 2018 19:16:09 +0100

supercollider-sc3-plugins (3.9.1~repack-1) unstable; urgency=medium
  [Georges Khaznadar]
  * upgraded to the newest upstream version
  * updated the debian patches for this last version
  * upgraded standards: Standards-Version: 4.1.3, debhelper (>= 10), compat.
  * removed the option --parallel which is useless with debhelper (>= 10)
    in debian/rules
  [ Fernando Seiti Furusato ]
  * debian/rules: disable altivec/vmx to fix FTBFS on ppc64el
    (Closes: #826225)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 10 Apr 2018 19:26:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: supercollider-sc3-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Hanno Zulla <kontakt@hanno.de>,
  Petter Reinholdtsen <pere@debian.org>,
  Georges Khaznadar <georgesk@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  cmake,
  libfftw3-dev,
- libstk0-dev,
+ libstk-dev,
  libjack-jackd2-dev,
  supercollider-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
 Homepage: https://github.com/supercollider/sc3-plugins
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/supercollider-sc3-plugins
+Vcs-Git: https://salsa.debian.org/multimedia-team/supercollider-sc3-plugins.git
 
 Package: sc3-plugins
 Section: metapackages
@@ -34,7 +35,7 @@
  and other capabilities for the sound server.
 
 Package: sc3-plugins-server
-Architecture: any
+Architecture: i386 amd64 arm64 armhf mipsel
 Depends:
  supercollider-server,
  ${shlibs:Depends},
@@ -61,7 +62,7 @@
  the community collection of UGen plugins for SuperCollider.
 
 Package: ladspalist
-Architecture: any
+Architecture: i386 amd64 arm64 armhf mipsel
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildflags.mk
 
+ifeq ("$(DEB_HOST_ARCH_CPU)","ppc64el")
+	CFLAGS=-mno-altivec -mno-vsx
+	CXXFLAGS=-mno-altivec -mno-vsx
+endif
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=3
# Convert -alpha to ~alpha, and drop the +git part from the Debian
# version before comparing, as we use git snapshots 2015-12-15.
opts=uversionmangle=s/-(alpha|beta)/~\\1/,dversionmangle=s/~repack\d*$//,filenamemangle=s/.+\/Version-(\d\S*)\.tar\.gz/supercollider-sc3-plugins-$1\.tar\.gz/ \
  https://github.com/supercollider/sc3-plugins/tags .*/Version-?(\d\.\d.\d\S*)\.tar\.gz
